Reply to post: Re: Compatibility

OK, this time it's for real: The last available IPv4 address block has gone

Anonymous Coward
Anonymous Coward

Re: Compatibility

Not THAT all code.

Some frameworks, in their 2015 incarnations break with IPv6, as happens for example with some Java frameworks (been there, done that..)

One example is reverse DNS from some java frameworks/libraries.. and that is just one of the cases.

That breaks some of my code in interceptors for WS-Security.

Now, you might say that that should be in the webserver (nginx, apache..) but there are advantages in having the auth in the java.. as for example some ipv6 addresses/ranges might be considered safe, etc.

Anon, as this might get serious flak.

POST COMMENT House rules

Not a member of The Register? Create a new account here.

  • Enter your comment

  • Add an icon

Anonymous cowards cannot choose their icon

Biting the hand that feeds IT © 1998–2019